<!DOCTYPE html>
<html lang="en-US">
<head>
    <title>ClearID</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,600&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css">
    <link rel="stylesheet" href="css/popup.css" />
</head>
<body>
    <div class="main-wrapper">
        <header class="main-header">
            <div class="row align-items-center">
                <div class="col">
                    <div class="header-left"><button class="new_tab_link" title="Pop out to a new window"><img src="images/external-link.png"></button></div>
                </div>
                <div class="col-8">
                    <div class="header-middle"><strong>Password Generator</strong></div>
                </div>
                <div class="col">
                    <!-- <div class="header-right"><button class="btn-back">Save</button></div> -->
                </div>
            </div>
        </header>

        <div class="mid-content">
            <div class="password-block">
                <div appselectcopy="" class="password-wrapper">
                    <div class="border-round"><div class="border-round-in"></div></div>
                <span class="password-letter random_password_string"></span>
                <div class="bottom-border-round"><div class="bottom-border-round-in"></div></div>
                </div>
            </div>
            <div class="repeat-bx">
                <div class="repeat-bx-header">
                    <h2>ITEM INFORMATION</h2>
                    <div class="clear"></div>
                </div>
                <div class="border-round"><div class="border-round-in"></div></div>
                <div class="repeat-bx-content">
                    <div class="repeat-bx-content-row">
                        <button class="setting-menu" id="regenerate_btn">Regenerate Password</button>
                    </div>
                    <div class="repeat-bx-content-row tooltip">
                        <button class="setting-menu" id="copy_btn"><span class="tooltiptext" id="myTooltip">Copy to clipboard</span>Copy Password</button>
                    </div>
                </div>
            </div>
            <div class="bottom-border-round"><div class="bottom-border-round-in"></div></div>

            <div class="repeat-bx">
                <div class="repeat-bx-header">
                    <h2>OPTIONS</h2>
                <div class="clear"></div>
                </div>
                <div class="border-round"><div class="border-round-in"></div></div>
                <div class="repeat-bx-content">
                    <div class="form-group">
                      <select name="type" class="form-control">
                        <option value="password">Password</option>
                        <!-- <option value="passphrase">Passphrase</option> -->
                      </select>
                    </div>
                </div>
            </div>
            <div class="repeat-bx">
                <div class="repeat-bx-content">
                    <div class="repeat-bx-content-row">
                        <label for="length">Length</label>
                        <input id="pass_length" max="128" min="5" value="10" type="number" class="text-center">
                        <input id="passLengthRange" max="128" min="5" value="10" step="1" type="range">
                    </div>
                    <div class="repeat-bx-content-row">
                        <div class="CheckBox">
                            <label for="A-Z">
                                <span class="float-left">A-Z</span>
                                <span class="float-right"><input checked="" readonly="" disabled="" id="include_capital_words" type="checkbox" name="AZ" id="A-Z"></span>
                            </label>
                        </div>
                    </div>
                    <div class="repeat-bx-content-row">
                        <div class="CheckBox">
                            <label for="a-z">
                                <span class="float-left">a-z</span>
                                <span class="float-right"><input id="include_small_words" type="checkbox" name="az" id="a-z"></span>
                            </label>
                        </div>
                    </div>
                    <div class="repeat-bx-content-row">
                        <div class="CheckBox">
                            <label for="0-9">
                                <span class="float-left">0-9</span>
                                <span class="float-right"><input id="include_numbers" type="checkbox" name="09" id="0-9"></span>
                            </label>
                        </div>
                    </div>
                    <div class="repeat-bx-content-row">
                        <div class="CheckBox">
                            <label for="special">
                                <span class="float-left">!@#$%^&*</span>
                                <span class="float-right"><input id="include_special_chars" type="checkbox" name="special" id="special"></span>
                            </label>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="btm-menu-bar">
            <ul>
                <li><a href="popup.html" class="tab">Tab</a></li>
                <li><a href="my-vault-page.html" class="vault">My Vault</a></li>
                <li class="active"><a href="password-generator.html" class="generator">Generator</a></li>
                <li><a href="setting-page.html" class="setting">Settings</a></li>
            </ul>
        </div>
    </div>
	
	<!-- jQuery library & Other JavaScript Imported Script -->
	<script src="js/jquery.js"></script>
    <link rel="stylesheet" href="css/popup.css" />
    <script src="toast/jquery.toast.min.js"></script>
	<script src="js/script.js"></script>
    <script src="js/password_generator.js"></script>
    <script src="encrypt/aes.js"></script>
    <script src="encrypt/sjcl.js"></script>
    <script src="js/bip39//unorm.js"></script>
    <script src="js/bip39/wordlist_english.js"></script>
    <script src="js/bip39/jsbip39.js"></script>
    <script src="js/bip39/lightwallet.min.js"></script>
</body>
</html>